Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r2968 r2985  
    10891089                          (implies --disable-shared)
    10901090  --enable-debug-hsl compile project HSL with debug compiler flags
    1091 
    1092   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1091  --enable-doscompile     Under Cygwin, compile so that executables run under
     1092                          DOS. Set to mingw to use gcc/g++/ld with
     1093                          -mno-cygwin. Set to msvc to use cl/link (or
     1094                          icl/link). Default when mentioned: mingw. Default
     1095                          when not mentioned: disabled.
    10931096  --disable-pkg-config    disable use of pkg-config (if available)
    10941097  --enable-static[=PKGS]
     
    18981901
    18991902# Get the name of the C compiler (for a dummy program)
    1900 
    1901 
    1902   # for backward compatibility
    1903   # Check whether --enable-doscompile or --disable-doscompile was given.
    1904 if test "${enable_doscompile+set}" = set; then
    1905   enableval="$enable_doscompile"
    1906   enable_doscompile=$enableval
    1907 else
    1908   enable_doscompile=no
    1909 fi;
    1910 
    1911   # Check whether --enable-msvc or --disable-msvc was given.
    1912 if test "${enable_msvc+set}" = set; then
    1913   enableval="$enable_msvc"
    1914   enable_msvc=$enableval
    1915 else
    1916   enable_msvc=no
    1917      if test "$enable_doscompile" = msvc ; then
    1918        enable_msvc=yes
    1919      elif test "$enable_doscompile" != no ; then
    1920        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1921 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1922    { (exit 1); exit 1; }; }
    1923      fi
    1924 
    1925 fi;
    1926 
    1927   if test "$enable_msvc" = yes; then
    1928     case $build in
    1929       *-cygwin* | *-mingw*) ;;
    1930       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1931 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1932    { (exit 1); exit 1; }; } ;;
    1933     esac
    1934   fi
    1935 
    1936 
    1937  case $build in
     1903case $build in
    19381904  *-mingw*)
    19391905    if test "${LD+set}" = set; then :; else
     
    19421908    ;;
    19431909 esac
    1944  if test $enable_msvc = yes ; then
    1945    if test "x${LD+set}" = xset; then :; else
    1946      LD=link
     1910 case $enable_doscompile in
     1911   msvc)
     1912     if test "x${LD+set}" = xset; then :; else
     1913       LD=link
     1914     fi
     1915     ;;
     1916 esac
     1917
     1918
     1919 # Check whether --enable-doscompile or --disable-doscompile was given.
     1920if test "${enable_doscompile+set}" = set; then
     1921  enableval="$enable_doscompile"
     1922  if test "$enable_doscompile" != no; then
     1923     case $build in
     1924       *-cygwin* | *-mingw*) ;;
     1925       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1926echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1927   { (exit 1); exit 1; }; } ;;
     1928     esac
    19471929   fi
    1948  fi
    1949 
    1950 
    1951 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1952 if test "${enable_static_standardlibs+set}" = set; then
    1953   enableval="$enable_static_standardlibs"
    1954   case "$enableval" in
    1955      no | yes | auto ) ;;
    1956      *)
    1957        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1958 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1959    { (exit 1); exit 1; }; } ;;
    1960    esac
    1961    use_static_standardlibs=$enableval
    1962 else
    1963   use_static_standardlibs=no
     1930else
     1931  enable_doscompile=no
    19641932fi;
    1965 
     1933 case "$enable_doscompile" in
     1934   mingw)
     1935     case $build in
     1936       *-mingw*) enable_doscompile=no ;;
     1937     esac
     1938     ;;
     1939   msvc|no) ;;
     1940   yes) enable_doscompile=mingw ;;
     1941   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1942                    Try configure --help=recursive." >&5
     1943echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1944                    Try configure --help=recursive." >&2;}
     1945   { (exit 1); exit 1; }; }
     1946      ;;
     1947  esac
     1948  if test "$enable_doscompile" != no ; then
     1949    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1950echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1951  fi
    19661952
    19671953
     
    20061992case $build in
    20071993  *-cygwin* | *-mingw*)
    2008              if test "$enable_msvc" = yes ; then
    2009                comps="icl cl gcc"
     1994             if test "$enable_doscompile" = msvc ; then
     1995               comps="icl cl"
    20101996             else
    2011                comps="gcc icl cl"
     1997               comps="gcc cl"
    20121998             fi ;;
    20131999  *-*-solaris*)
     
    28622848            ;;
    28632849        esac
     2850        case $enable_doscompile in
     2851          mingw)
     2852            CFLAGS="-mno-cygwin"
     2853            cat >conftest.$ac_ext <<_ACEOF
     2854/* confdefs.h.  */
     2855_ACEOF
     2856cat confdefs.h >>conftest.$ac_ext
     2857cat >>conftest.$ac_ext <<_ACEOF
     2858/* end confdefs.h.  */
     2859
     2860int
     2861main ()
     2862{
     2863int i=0; i++;
     2864  ;
     2865  return 0;
     2866}
     2867_ACEOF
     2868rm -f conftest.$ac_objext conftest$ac_exeext
     2869if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2870  (eval $ac_link) 2>conftest.er1
     2871  ac_status=$?
     2872  grep -v '^ *+' conftest.er1 >conftest.err
     2873  rm -f conftest.er1
     2874  cat conftest.err >&5
     2875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2876  (exit $ac_status); } &&
     2877         { ac_try='test -z "$ac_c_werror_flag"
     2878                         || test ! -s conftest.err'
     2879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2880  (eval $ac_try) 2>&5
     2881  ac_status=$?
     2882  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2883  (exit $ac_status); }; } &&
     2884         { ac_try='test -s conftest$ac_exeext'
     2885  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2886  (eval $ac_try) 2>&5
     2887  ac_status=$?
     2888  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2889  (exit $ac_status); }; }; then
     2890  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2891else
     2892  echo "$as_me: failed program was:" >&5
     2893sed 's/^/| /' conftest.$ac_ext >&5
     2894
     2895fi
     2896rm -f conftest.err conftest.$ac_objext \
     2897      conftest$ac_exeext conftest.$ac_ext
     2898            CFLAGS=
     2899          ;;
     2900        esac
    28642901    esac
    28652902  fi
     
    30523089    CFLAGS="$OPT_CFLAGS"
    30533090  fi
    3054 
    30553091else
    30563092  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32033239  clang* ) ;;
    32043240  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3205 
    3206  case $build in
     3241    case $build in
    32073242  *-mingw*)
    32083243    if test "${LD+set}" = set; then :; else
     
    32113246    ;;
    32123247 esac
    3213  if test $enable_msvc = yes ; then
    3214    if test "x${LD+set}" = xset; then :; else
    3215      LD=link
    3216    fi
    3217  fi
     3248 case $enable_doscompile in
     3249   msvc)
     3250     if test "x${LD+set}" = xset; then :; else
     3251       LD=link
     3252     fi
     3253     ;;
     3254 esac
    32183255
    32193256    ;;
    32203257esac
    3221 
    3222 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3223 if test x$use_static_standardlibs != xno ; then
    3224   case $build in
    3225     *-mingw*)
    3226       static_standardlib_flag=-static
    3227       ;;
    3228     *)
    3229       static_standardlib_flag=-static-libgcc
    3230       ;;
    3231   esac
    3232   case " $LDFLAGS " in
    3233     *" $static_standardlib_flag "* ) ;;
    3234     *)
    3235     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3236 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3237     coin_save_LDFLAGS="$LDFLAGS"
    3238     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3239     cat >conftest.$ac_ext <<_ACEOF
    3240 /* confdefs.h.  */
    3241 _ACEOF
    3242 cat confdefs.h >>conftest.$ac_ext
    3243 cat >>conftest.$ac_ext <<_ACEOF
    3244 /* end confdefs.h.  */
    3245 
    3246 int
    3247 main ()
    3248 {
    3249 int i=0;
    3250   ;
    3251   return 0;
    3252 }
    3253 _ACEOF
    3254 rm -f conftest.$ac_objext conftest$ac_exeext
    3255 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3256   (eval $ac_link) 2>conftest.er1
    3257   ac_status=$?
    3258   grep -v '^ *+' conftest.er1 >conftest.err
    3259   rm -f conftest.er1
    3260   cat conftest.err >&5
    3261   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3262   (exit $ac_status); } &&
    3263          { ac_try='test -z "$ac_c_werror_flag"
    3264                          || test ! -s conftest.err'
    3265   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3266   (eval $ac_try) 2>&5
    3267   ac_status=$?
    3268   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3269   (exit $ac_status); }; } &&
    3270          { ac_try='test -s conftest$ac_exeext'
    3271   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3272   (eval $ac_try) 2>&5
    3273   ac_status=$?
    3274   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3275   (exit $ac_status); }; }; then
    3276   echo "$as_me:$LINENO: result: yes" >&5
    3277 echo "${ECHO_T}yes" >&6
    3278 else
    3279   echo "$as_me: failed program was:" >&5
    3280 sed 's/^/| /' conftest.$ac_ext >&5
    3281 
    3282 echo "$as_me:$LINENO: result: no" >&5
    3283 echo "${ECHO_T}no" >&6
    3284        LDFLAGS="$coin_save_LDFLAGS"
    3285        if test $use_static_standardlibs = yes ; then
    3286          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3287 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3288    { (exit 1); exit 1; }; }
    3289        fi
    3290 
    3291 fi
    3292 rm -f conftest.err conftest.$ac_objext \
    3293       conftest$ac_exeext conftest.$ac_ext
    3294     ;;
    3295   esac
    3296 fi
    32973258
    32983259ac_ext=c
     
    33073268case $build in
    33083269  *-cygwin* | *-mingw*)
    3309      if test "$enable_msvc" = yes ; then
    3310        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3270     if test "$enable_doscompile" = msvc ; then
     3271       coin_f77_comps="ifort fl32 compile_f2c"
    33113272     else
    33123273       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    33183279  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33193280 esac
    3320 
    33213281
    33223282
     
    35343494
    35353495# Provide some information about the compiler.
    3536 echo "$as_me:3536:" \
     3496echo "$as_me:3496:" \
    35373497     "checking for Fortran 77 compiler version" >&5
    35383498ac_compiler=`set X $ac_compile; echo $2`
     
    37033663    coin_add_fflags="-pipe"
    37043664    coin_dbg_fflags="-g -O0"
     3665    case $enable_doscompile in
     3666      mingw)
     3667        FFLAGS="-mno-cygwin"
     3668        cat >conftest.$ac_ext <<_ACEOF
     3669      program main
     3670      write(*,*) 'Hello world'
     3671      end
     3672_ACEOF
     3673rm -f conftest.$ac_objext conftest$ac_exeext
     3674if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3675  (eval $ac_link) 2>conftest.er1
     3676  ac_status=$?
     3677  grep -v '^ *+' conftest.er1 >conftest.err
     3678  rm -f conftest.er1
     3679  cat conftest.err >&5
     3680  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3681  (exit $ac_status); } &&
     3682         { ac_try='test -z "$ac_f77_werror_flag"
     3683                         || test ! -s conftest.err'
     3684  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3685  (eval $ac_try) 2>&5
     3686  ac_status=$?
     3687  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3688  (exit $ac_status); }; } &&
     3689         { ac_try='test -s conftest$ac_exeext'
     3690  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3691  (eval $ac_try) 2>&5
     3692  ac_status=$?
     3693  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3694  (exit $ac_status); }; }; then
     3695  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3696else
     3697  echo "$as_me: failed program was:" >&5
     3698sed 's/^/| /' conftest.$ac_ext >&5
     3699
     3700fi
     3701rm -f conftest.err conftest.$ac_objext \
     3702      conftest$ac_exeext conftest.$ac_ext
     3703        FFLAGS=
     3704      ;;
     3705    esac
    37053706  else
    37063707    case $build in
     
    38703871    FFLAGS="$OPT_FFLAGS"
    38713872  fi
    3872 
    38733873else
    38743874  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39953995case "$F77" in
    39963996  ifort* | */ifort* | IFORT* | */IFORT*)
    3997 
    3998  case $build in
     3997    case $build in
    39993998  *-mingw*)
    40003999    if test "${LD+set}" = set; then :; else
     
    40034002    ;;
    40044003 esac
    4005  if test $enable_msvc = yes ; then
    4006    if test "x${LD+set}" = xset; then :; else
    4007      LD=link
    4008    fi
    4009  fi
     4004 case $enable_doscompile in
     4005   msvc)
     4006     if test "x${LD+set}" = xset; then :; else
     4007       LD=link
     4008     fi
     4009     ;;
     4010 esac
    40104011
    40114012    ;;
    40124013esac
    4013 
    4014 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4015 if test x$use_static_standardlibs != xno ; then
    4016   case $build in
    4017     *-mingw*)
    4018       static_standardlib_flag=-static
    4019       ;;
    4020     *)
    4021       static_standardlib_flag=-static-libgfortran
    4022       ;;
    4023   esac
    4024   case " $LDFLAGS " in
    4025     *" $static_standardlib_flag "* ) ;;
    4026     *)
    4027     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4028 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4029     coin_save_LDFLAGS="$LDFLAGS"
    4030     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4031     cat >conftest.$ac_ext <<_ACEOF
    4032       program main
    4033       integer i
    4034       end
    4035 _ACEOF
    4036 rm -f conftest.$ac_objext conftest$ac_exeext
    4037 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4038   (eval $ac_link) 2>conftest.er1
    4039   ac_status=$?
    4040   grep -v '^ *+' conftest.er1 >conftest.err
    4041   rm -f conftest.er1
    4042   cat conftest.err >&5
    4043   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4044   (exit $ac_status); } &&
    4045          { ac_try='test -z "$ac_f77_werror_flag"
    4046                          || test ! -s conftest.err'
    4047   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4048   (eval $ac_try) 2>&5
    4049   ac_status=$?
    4050   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4051   (exit $ac_status); }; } &&
    4052          { ac_try='test -s conftest$ac_exeext'
    4053   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4054   (eval $ac_try) 2>&5
    4055   ac_status=$?
    4056   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4057   (exit $ac_status); }; }; then
    4058   echo "$as_me:$LINENO: result: yes" >&5
    4059 echo "${ECHO_T}yes" >&6
    4060 else
    4061   echo "$as_me: failed program was:" >&5
    4062 sed 's/^/| /' conftest.$ac_ext >&5
    4063 
    4064 echo "$as_me:$LINENO: result: no" >&5
    4065 echo "${ECHO_T}no" >&6
    4066        LDFLAGS="$coin_save_LDFLAGS"
    4067        if test $use_static_standardlibs = yes ; then
    4068          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4069 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4070    { (exit 1); exit 1; }; }
    4071        fi
    4072 
    4073 fi
    4074 rm -f conftest.err conftest.$ac_objext \
    4075       conftest$ac_exeext conftest.$ac_ext
    4076     ;;
    4077   esac
    4078 fi
    40794014
    40804015ac_ext=c
     
    43384273ac_save_FFLAGS=$FFLAGS
    43394274FFLAGS="$FFLAGS $ac_verb"
    4340 (eval echo $as_me:4340: \"$ac_link\") >&5
     4275(eval echo $as_me:4275: \"$ac_link\") >&5
    43414276ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43424277echo "$ac_f77_v_output" >&5
     
    44164351ac_save_FFLAGS=$FFLAGS
    44174352FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4418 (eval echo $as_me:4418: \"$ac_link\") >&5
     4353(eval echo $as_me:4353: \"$ac_link\") >&5
    44194354ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    44204355echo "$ac_f77_v_output" >&5
     
    52945229
    52955230# Provide some information about the compiler.
    5296 echo "$as_me:5296:" \
     5231echo "$as_me:5231:" \
    52975232     "checking for Fortran compiler version" >&5
    52985233ac_compiler=`set X $ac_compile; echo $2`
     
    70827017*-*-irix6*)
    70837018  # Find out which ABI we are using.
    7084   echo '#line 7084 "configure"' > conftest.$ac_ext
     7019  echo '#line 7019 "configure"' > conftest.$ac_ext
    70857020  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70867021  (eval $ac_compile) 2>&5
     
    95599494   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95609495   -e 's:$: $lt_compiler_flag:'`
    9561    (eval echo "\"\$as_me:9561: $lt_compile\"" >&5)
     9496   (eval echo "\"\$as_me:9496: $lt_compile\"" >&5)
    95629497   (eval "$lt_compile" 2>conftest.err)
    95639498   ac_status=$?
    95649499   cat conftest.err >&5
    9565    echo "$as_me:9565: \$? = $ac_status" >&5
     9500   echo "$as_me:9500: \$? = $ac_status" >&5
    95669501   if (exit $ac_status) && test -s "$ac_outfile"; then
    95679502     # The compiler can only warn and ignore the option if not recognized
     
    98279762   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98289763   -e 's:$: $lt_compiler_flag:'`
    9829    (eval echo "\"\$as_me:9829: $lt_compile\"" >&5)
     9764   (eval echo "\"\$as_me:9764: $lt_compile\"" >&5)
    98309765   (eval "$lt_compile" 2>conftest.err)
    98319766   ac_status=$?
    98329767   cat conftest.err >&5
    9833    echo "$as_me:9833: \$? = $ac_status" >&5
     9768   echo "$as_me:9768: \$? = $ac_status" >&5
    98349769   if (exit $ac_status) && test -s "$ac_outfile"; then
    98359770     # The compiler can only warn and ignore the option if not recognized
     
    99319866   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99329867   -e 's:$: $lt_compiler_flag:'`
    9933    (eval echo "\"\$as_me:9933: $lt_compile\"" >&5)
     9868   (eval echo "\"\$as_me:9868: $lt_compile\"" >&5)
    99349869   (eval "$lt_compile" 2>out/conftest.err)
    99359870   ac_status=$?
    99369871   cat out/conftest.err >&5
    9937    echo "$as_me:9937: \$? = $ac_status" >&5
     9872   echo "$as_me:9872: \$? = $ac_status" >&5
    99389873   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    99399874   then
     
    1234812283  lt_status=$lt_dlunknown
    1234912284  cat > conftest.$ac_ext <<EOF
    12350 #line 12350 "configure"
     12285#line 12285 "configure"
    1235112286#include "confdefs.h"
    1235212287
     
    1244812383  lt_status=$lt_dlunknown
    1244912384  cat > conftest.$ac_ext <<EOF
    12450 #line 12450 "configure"
     12385#line 12385 "configure"
    1245112386#include "confdefs.h"
    1245212387
     
    1480814743   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1480914744   -e 's:$: $lt_compiler_flag:'`
    14810    (eval echo "\"\$as_me:14810: $lt_compile\"" >&5)
     14745   (eval echo "\"\$as_me:14745: $lt_compile\"" >&5)
    1481114746   (eval "$lt_compile" 2>conftest.err)
    1481214747   ac_status=$?
    1481314748   cat conftest.err >&5
    14814    echo "$as_me:14814: \$? = $ac_status" >&5
     14749   echo "$as_me:14749: \$? = $ac_status" >&5
    1481514750   if (exit $ac_status) && test -s "$ac_outfile"; then
    1481614751     # The compiler can only warn and ignore the option if not recognized
     
    1491214847   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1491314848   -e 's:$: $lt_compiler_flag:'`
    14914    (eval echo "\"\$as_me:14914: $lt_compile\"" >&5)
     14849   (eval echo "\"\$as_me:14849: $lt_compile\"" >&5)
    1491514850   (eval "$lt_compile" 2>out/conftest.err)
    1491614851   ac_status=$?
    1491714852   cat out/conftest.err >&5
    14918    echo "$as_me:14918: \$? = $ac_status" >&5
     14853   echo "$as_me:14853: \$? = $ac_status" >&5
    1491914854   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1492014855   then
     
    1648216417   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1648316418   -e 's:$: $lt_compiler_flag:'`
    16484    (eval echo "\"\$as_me:16484: $lt_compile\"" >&5)
     16419   (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
    1648516420   (eval "$lt_compile" 2>conftest.err)
    1648616421   ac_status=$?
    1648716422   cat conftest.err >&5
    16488    echo "$as_me:16488: \$? = $ac_status" >&5
     16423   echo "$as_me:16423: \$? = $ac_status" >&5
    1648916424   if (exit $ac_status) && test -s "$ac_outfile"; then
    1649016425     # The compiler can only warn and ignore the option if not recognized
     
    1658616521   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1658716522   -e 's:$: $lt_compiler_flag:'`
    16588    (eval echo "\"\$as_me:16588: $lt_compile\"" >&5)
     16523   (eval echo "\"\$as_me:16523: $lt_compile\"" >&5)
    1658916524   (eval "$lt_compile" 2>out/conftest.err)
    1659016525   ac_status=$?
    1659116526   cat out/conftest.err >&5
    16592    echo "$as_me:16592: \$? = $ac_status" >&5
     16527   echo "$as_me:16527: \$? = $ac_status" >&5
    1659316528   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1659416529   then
     
    1879318728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1879418729   -e 's:$: $lt_compiler_flag:'`
    18795    (eval echo "\"\$as_me:18795: $lt_compile\"" >&5)
     18730   (eval echo "\"\$as_me:18730: $lt_compile\"" >&5)
    1879618731   (eval "$lt_compile" 2>conftest.err)
    1879718732   ac_status=$?
    1879818733   cat conftest.err >&5
    18799    echo "$as_me:18799: \$? = $ac_status" >&5
     18734   echo "$as_me:18734: \$? = $ac_status" >&5
    1880018735   if (exit $ac_status) && test -s "$ac_outfile"; then
    1880118736     # The compiler can only warn and ignore the option if not recognized
     
    1906118996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1906218997   -e 's:$: $lt_compiler_flag:'`
    19063    (eval echo "\"\$as_me:19063: $lt_compile\"" >&5)
     18998   (eval echo "\"\$as_me:18998: $lt_compile\"" >&5)
    1906418999   (eval "$lt_compile" 2>conftest.err)
    1906519000   ac_status=$?
    1906619001   cat conftest.err >&5
    19067    echo "$as_me:19067: \$? = $ac_status" >&5
     19002   echo "$as_me:19002: \$? = $ac_status" >&5
    1906819003   if (exit $ac_status) && test -s "$ac_outfile"; then
    1906919004     # The compiler can only warn and ignore the option if not recognized
     
    1916519100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1916619101   -e 's:$: $lt_compiler_flag:'`
    19167    (eval echo "\"\$as_me:19167: $lt_compile\"" >&5)
     19102   (eval echo "\"\$as_me:19102: $lt_compile\"" >&5)
    1916819103   (eval "$lt_compile" 2>out/conftest.err)
    1916919104   ac_status=$?
    1917019105   cat out/conftest.err >&5
    19171    echo "$as_me:19171: \$? = $ac_status" >&5
     19106   echo "$as_me:19106: \$? = $ac_status" >&5
    1917219107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1917319108   then
     
    2286822803# Try to autodetect the library for blas based on build system
    2286922804  #AC_MSG_CHECKING([default locations for BLAS])
     22805  skip_lblas_check=no
    2287022806  case $build in
    2287122807    *-sgi-*)
     
    2367023606
    2367123607    *-cygwin* | *-mingw*)
     23608# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     23609# library will want to link with cygwin, hence won't run standalone in DOS.
     23610      if test "$enable_doscompile" = mingw; then
     23611        skip_lblas_check=yes
     23612      fi
    2367223613      case "$CC" in
    2367323614        clang* ) ;;
     
    2483324774  esac
    2483424775
    24835   if test -z "$use_blas" ; then
     24776  if test -z "$use_blas" && test $skip_lblas_check = no; then
    2483624777    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2483724778echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2651926460echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2652026461coin_link_input_cmd="$LN_S"
     26462if test "$enable_doscompile" = mingw; then
     26463  coin_link_input_cmd=cp
     26464fi
    2652126465case "$CC" in
    2652226466  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.